## gh 2.45.0

=== debian/changelog ===
gh (2.45.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 11:29:21 +1000

gh (2.45.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:28:25 +0100

gh (2.45.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:24:08 +0530

gh (2.45.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:44:22 +0000

gh (2.45.0-1) unstable; urgency=medium

  * New upstream version 2.45.0
  * Bump versioned dependency as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 05 Mar 2024 09:48:51 -0700

gh (2.44.1-2) unstable; urgency=medium

  * Team upload
  * Skip failed TestHTTPClientSanitizeJSONControlCharactersC0 on go1.22.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Feb 2024 19:35:33 +0800

gh (2.44.1-1) unstable; urgency=medium

  * New upstream version 2.44.1

 -- Anthony Fok <foka@debian.org>  Mon, 19 Feb 2024 11:28:08 -0700

gh (2.43.1-1) unstable; urgency=medium

  * New upstream version 2.43.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 07 Feb 2024 05:13:31 -0700

gh (2.42.1-1) unstable; urgency=medium

  * New upstream version 2.42.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 23 Jan 2024 18:54:24 -0700
