=== debian/changelog ===
gh (2.46.0-4) unstable; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * Use B-D on golang-github-cenkalti-backoff-v4-dev
  * Ignore test failures (Closes: #1120253)

  [ Otto Kekäläinen ]
  * Add minimal gbp.conf so that it is explicit what settings this repo has
  * Stop polluting upstream file paths and put build artifacts in debian/build

 -- Simon Josefsson <simon@josefsson.org>  Sat, 13 Dec 2025 23:19:28 +0100

gh (2.46.0-3) unstable; urgency=medium

  [ Loren M. Lang ]
  * Apply patch to fix CVE-2024-54132 (Closes: #1089120)
  * Apply patch to fix CVE-2024-53858 (Closes: #1088808)
  * Don't let $GH_TOKEN from the build environment break the test
  * Fixed a build error introduced in a recent test change
  * Fixed an issue with flaky download tests
  * Enabled Salsa CI for packaging repository for improved quality
    assurance before uploads to Debian archives

  [ Otto Kekäläinen ]
  * Update copyright and uploaders metadata to match current maintainers

 -- Otto Kekäläinen <otto@debian.org>  Sun, 12 Jan 2025 21:43:14 -0800

gh (2.46.0-2) unstable; urgency=medium

  * Team upload.
  [ Otto Kekäläinen ]
  * Update test to be compatible with Glamour v0.8.0. Closes: #1091585.
  [ Santiago Vila ]
  * Update build-dependency on golang-github-charmbracelet-glamour-dev.
  [ Loren M. Lang ]
  * Apply patch to fix CVE-2024-52308. Closes: #1087883.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Dec 2024 14:10:00 +0100

gh (2.46.0-1) unstable; urgency=medium

  * New upstream version 2.46.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 26 Mar 2024 17:51:24 -0600
