=== debian/control ===
Source: gh
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>, Loren M. Lang <lorenl@north-winds.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-golang,
               git,
               golang-any (>= 2:1.21~),
               golang-github-alecaivazis-survey-dev (>= 2.3.7),
               golang-github-briandowns-spinner-dev (>= 1.18.1),
               golang-github-cenkalti-backoff-v4-dev,
               golang-github-charmbracelet-glamour-dev (>= 0.8.0),
               golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
               golang-github-cli-go-gh-v2-dev (>= 2.6.0),
               golang-github-cli-oauth-dev (>= 1.0.1),
               golang-github-cli-safeexec-dev (>= 1.0.1),
               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.4),
               golang-github-creack-pty-dev (>= 1.1.21),
               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.3),
               golang-github-gdamore-tcell.v2-dev (>= 2.5.4),
               golang-github-google-go-cmp-dev (>= 0.5.9),
               golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
               golang-github-gorilla-websocket-dev (>= 1.4.2),
               golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
               golang-github-hashicorp-go-version-dev (>= 1.3.0),
               golang-github-henvic-httpretty-dev (>= 0.1.3),
               golang-github-joho-godotenv-dev (>= 1.5.1),
               golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
               golang-github-makenowjust-heredoc-dev (>= 1.0.0),
               golang-github-mattn-go-colorable-dev (>= 0.1.13),
               golang-github-mattn-go-isatty-dev (>= 0.0.20),
               golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
               golang-github-microsoft-dev-tunnels-dev (>= 0.0.25),
               golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
               golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
               golang-github-rivo-tview-dev (>= 0.0~git20221029.c4a7e50),
               golang-github-shurcool-githubv4-dev (>= 0.0~git20230704.599ae7b),
               golang-github-spf13-cobra-dev (>= 1.6.1),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.8.4),
               golang-github-zalando-go-keyring-dev (>= 0.2.4),
               golang-golang-x-crypto-dev (>= 1:0.17.0),
               golang-golang-x-sync-dev (>= 0.1.0),
               golang-golang-x-term-dev (>= 0.15.0),
               golang-golang-x-text-dev (>= 0.14.0),
### begin google.golang.org/grpc (see debian/go/src) ###########
#              golang-google-grpc-dev (>= 1.56.3),
               golang-github-golang-protobuf-1-5-dev (>= 1.5.3),
               golang-google-genproto-dev,
### end google.golang.org/grpc #################################
               golang-google-protobuf-dev (>= 1.33.0),
               golang-gopkg-h2non-gock.v1-dev (>= 1.1.2),
               golang-gopkg-yaml.v3-dev (>= 3.0.1),
               openssh-client,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/gh
Vcs-Git: https://salsa.debian.org/go-team/packages/gh.git
Homepage: https://cli.github.com/
XS-Go-Import-Path: github.com/cli/cli/v2

Package: gh
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gitsome (<< 0.8.0+ds-7.1)
Static-Built-Using: ${misc:Static-Built-Using}
Description: GitHub CLI, GitHub’s official command line tool
 GitHub CLI "gh" is GitHub on the command line.  It brings pull requests,
 issues, and other GitHub concepts to the terminal next to where you are
 already working with git and your code.
 .
 GitHub CLI is available for repositories hosted on GitHub.com and GitHub
 Enterprise Server 2.20+, and to install on macOS, Windows, and Linux.
 .
 Comparison with hub:
 .
 For many years, hub (https://github.com/github/hub) was the unofficial
 GitHub CLI tool.  gh is a new project that helps us explore what an
 official GitHub CLI tool can look like with a fundamentally different
 design.  While both tools bring GitHub to the terminal, hub behaves as a
 proxy to git, and gh is a standalone tool.  Check out the more detailed
 explanation at https://github.com/cli/cli/blob/trunk/docs/gh-vs-hub.md
 to learn more.
