=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 # Skip flaky tests, see https://github.com/cli/cli/discussions/6858
 export GITHUB_ACTIONS := true
+
+# If GH_TOKEN leaks into the build envivronment, it will break the test suite
+export GH_TOKEN :=
 
 DATE_FMT = %Y-%m-%d
 ifdef SOURCE_DATE_EPOCH
@@ -24,23 +27,33 @@
 
 all:
 	@echo $(LDFLAGS)
-%:
-	dh $@ --builddirectory=_build --buildsystem=golang
+
+# Force this to run so the build target can be manually executed despite build/ existing
+%: FORCE
+	dh $@ --builddirectory=debian/build --buildsystem=golang
 
 execute_before_dh_auto_configure:
-	mkdir -p _build/src/google.golang.org
-	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc _build/src/google.golang.org/grpc
+	mkdir -p debian/build/src/google.golang.org
+	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc debian/build/src/google.golang.org/grpc
 
 override_dh_auto_build:
 	@command -V go
 	@go version
 	dh_auto_build -- $(LDFLAGS)
-	_build/bin/gh --version
-	mkdir -p _build/completion/bash _build/completion/zsh
-	_build/bin/gh completion -s bash > _build/completion/bash/gh
-	_build/bin/gh completion -s zsh > _build/completion/zsh/_gh
-	_build/bin/gen-docs --man-page --doc-path _build/share/man/man1/
-	$(RM) _build/bin/gen-docs
+	debian/build/bin/gh --version
+	mkdir -p debian/build/completion/bash debian/build/completion/zsh
+	debian/build/bin/gh completion -s bash > debian/build/completion/bash/gh
+	debian/build/bin/gh completion -s zsh > debian/build/completion/zsh/_gh
+	debian/build/bin/gen-docs --man-page --doc-path debian/build/share/man/man1/
+	$(RM) debian/build/bin/gen-docs
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
+
+SKIP="Test_viewRun|Test_createRun|TestPRReview_interactive|Test_ViewRun"
+override_dh_auto_test:
+	dh_auto_test $(DH_BUILD_OPTS) -- -skip=$(SKIP)
+	-dh_auto_test $(DH_BUILD_OPTS) -- -run=$(SKIP)
+
+FORCE:
+.PHONY: FORCE
